define({"1284":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object representation/Object representation with WebDAV, CIFS, and NFS.htm",a:"For WebDAV, CIFS, and NFS, HCP includes the HCP file system (HCP-FS), a standard POSIX file system that represents each object as a set of files.  One of these files has the same name as the object.  This file contains the fixed-content data.  When downloaded or opened, this file has the same ...",t:"Object representation with WebDAV, CIFS, and NFS"},"1285":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object representation/Root directories.htm",a:"HCP-FS presents the data files and metafiles for objects in a namespace under two root directories: data heads the directory structure containing the data files for all objects.  You create the structure under data when you store data and create directories in the namespace.  Each data file and ...",t:"Root directories"},"1286":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object representation/Sample data structure.htm",a:"When you view the contents of a namespace, HCP-FS shows each directory and data file under data.  The figure below shows a sample directory structure headed by data.  It contains one subdirectory, named images.  images contains three data files named earth.jpg, wind.jpg, and fire.jpg.  These files ...",t:"Sample data structure"},"1287":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object representation/Metadirectories.htm",a:"Each data file for an object has a corresponding metadirectory with the same name.  The location of this metadirectory mirrors the location of the data file.  For example, the wind.jpg data file is in the images directory, and the wind.jpg metadirectory is in the images metadirectory.  The entire ...",t:"Metadirectories"},"1288":{i:0.000612261483296307,u:"../Content/Using a Namespace/Object representation/Metafiles.htm",a:"HCP-FS presents individual metafiles for each piece of HCP-specific object metadata except owner.  It doesn’t present individual metafiles for POSIX metadata.  However, it does present one additional metafile that summarizes both the HCP-specific and POSIX metadata for an object.    Metafiles ...",t:"Metafiles"},"1289":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object representation/Complete metadata structure.htm",a:"Complete metadata structure The figure below shows the complete metadata structure, including the metafiles, generated for the sample data structure.  It assumes you’ve added custom metadata and ACLs for each object.",t:"Complete metadata structure"},"1290":{i:0.00131608727323886,u:"../Content/Using a Namespace/Object properties/Object properties.htm",a:"Objects in a namespace have a variety of properties, such as a retention period and an index setting.  These properties are defined for each object by the object metadata.  HCP maintains both HCP-specific and POSIX metadata for objects.  You can view all the metadata for objects in a namespace and ...",t:"Object properties"},"1291":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Data protection level.htm",a:"The data protection level (DPL) for an object is the number of copies of the object HCP must maintain in the repository to ensure the integrity and availability of the object.  Regardless of the DPL, you see each object as a single entity. Each copy of the data for an object is stored on a different ...",t:"Data protection level"},"1292":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Cryptographic hash value.htm",a:"The cryptographic hash value for an object is a form of fingerprint.  HCP uses a cryptographic hash algorithm to calculate this value from the object data.  HCP then uses this hash value to check that object data remains unchanged. You can view this value, but you cannot change it. With HTTP, ...",t:"Cryptographic hash value"},"1293":{i:0.000859078322024752,u:"../Content/Using a Namespace/Object properties/Object ingest time and change time.htm",a:"Object ingest time and change timeObjects in a namespace have both an ingest time and a change time. The ingest time is the time when the object or version of the object was first added to the namespace or was deleted.  The change time is the time of the most recent of these events: The object was ...",t:"Object ingest time and change time"},"1294":{i:0.000482672560114208,u:"../Content/Using a Namespace/Object properties/Retention.htm",a:"Objects have a retention property that determines how long the object must remain in the namespace before it can be deleted.  This can range from allowing the object to be deleted at any time to preventing the object from ever being deleted.  While an object cannot be deleted due to retention, it is ...",t:"Retention"},"1295":{i:0.000439488180912564,u:"../Content/Using a Namespace/Object properties/Object retention settings.htm",a:"Every object, including objects assigned to retention classes, has a specific retention setting that specifies when (or whether) the retention period for the object ends.  HCP represents the retention setting in numeric and text formats, as shown in the table below. Numeric value Text value Meaning ...",t:"Object retention settings"},"1296":{i:0.000307744656579751,u:"../Content/Using a Namespace/Object properties/Deleting object and versions under retention.htm",a:"If you have privileged permission and the namespace allows it, you can use the HTTP protocol to: Delete an object that is under retention.  This action is called privileged delete. Purge all versions of an object that is under retention.  This action is called privileged purge.  For you to do a ...",t:"Deleting object and versions under retention"},"1297":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Holding objects.htm",a:"If you have privileged permission, you can place an object on hold.  An object that is on hold cannot be deleted, even by a privileged delete operation.  Also, you cannot store new versions of an object that is on hold.  Holding objects is particularly useful when the objects are needed for legal ...",t:"Holding objects"},"1298":{i:0.000818939220073793,u:"../Content/Using a Namespace/Object properties/Retention classes.htm",a:"A  retention class is a named retention value that, when used as the retention setting for an object, specifies how long the object must remain in the repository.  This value can be: A duration after object creation.  For example, a retention class named HlthReg-107 could have a duration of 21 ...",t:"Retention classes"},"1299":{i:0.000503109912628791,u:"../Content/Using a Namespace/Object properties/Viewing retention settings.htm",a:"With the HTTP protocol, retention information is returned by HTTP response headers.  With the WebDAV, CIFS, and NFS protocols, you view retention information for an object in the retention.txt metafile. Retention information returned through HTTP When you use HTTP to retrieve metadata for an object, ...",t:"Viewing retention settings"},"1300":{i:0.000774951856081877,u:"../Content/Using a Namespace/Object properties/Specifying retention settings.htm",a:"You can change the retention setting for an existing object.  With the HTTP protocol, you can also specify a retention setting when you store an object in the namespace.  The following information describes the retention settings you can specify. For information on specifying retention settings with ...",t:"Specifying retention settings"},"1301":{i:0.00550802044196573,u:"../Content/Using a Namespace/Object properties/Specifying a date and time.htm",a:"You can set retention by specifying a date and time in either of these formats: Time in seconds since January 1, 1970, at 00:00:00 UTC.  For example: 1450137600 The calendar date that corresponds to 1450137600 is Tuesday, December 15, 2015, at 00:00:00 EST. Date and time in this ISO 8601 format: ...",t:"Specifying a date and time"},"1302":{i:0.000717795906720814,u:"../Content/Using a Namespace/Object properties/Specifying an offset.htm",a:"You can set retention by specifying an offset from: The time at which the object was added to the namespace The current retention setting for the object The current time Because you can only extend a retention period, the offset must be a positive value. Offset syntax To use an offset as a retention ...",t:"Specifying an offset"},"1303":{i:0.000791257511480921,u:"../Content/Using a Namespace/Object properties/atime synchronization with retention.htm",a:"Some file systems support the use of the POSIX atime attribute to set retention.  To take advantage of this existing mechanism, HCP gives you the option of synchronizing atime values with HCP retention settings.  When these properties are synchronized, changing one for an object causes an equivalent ...",t:"atime synchronization with retention"},"1304":{i:0.00111540425631144,u:"../Content/Using a Namespace/Object properties/Triggering atime synchronization for existing objects.htm",a:"While atime synchronization is enabled, you can use either the atime attribute or the retention.txt metafile to trigger synchronization for an individual existing object (for which synchronization is not currently in effect): To use the atime attribute to trigger synchronization for an object with ...",t:"Triggering atime synchronization for existing objects"},"1305":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Removing the association.htm",a:"The association between the atime value and retention setting for an object remains in effect until one of these happens: The retention period for the object expires. You assign the object to a retention class. The tenant administrator disables atime synchronization for the namespace.  Any changes ...",t:"Removing the association"},"1306":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/How atime synchronization works.htm",a:"atime values and retention settings have these general correspondences: atime values in the future correspond to specific retention settings in the future. atime values more than 24 hours in the past correspond to retention settings that prevent deletion. atime values 24 hours or less in the past ...",t:"How atime synchronization works"},"1307":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/atime synchronization example.htm",a:"The following example shows how to use the atime attribute to trigger retention for the existing wind.jpg object after atime synchronization has been enabled for the namespace; the example uses the NFS protocol: Optionally, check the current retention setting for the wind.jpg object: cat ...",t:"atime synchronization example"},"1308":{i:0.000343451009694869,u:"../Content/Using a Namespace/Object properties/Shredding.htm",a:"Shredding, also called secure deletion, is the process of deleting an object and overwriting the places where its copies were stored in such a way that none of its data or metadata, including custom metadata, can be reconstructed. Every object has a shred setting that determines whether it will be ...",t:"Shredding"},"1309":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Indexing.htm",a:"Each object has an index setting that is either true or false.  The setting is present regardless of whether the namespace supports search operations. The metadata query engine uses the index setting to determine whether to index custom metadata for an object: For objects with an index setting true, ...",t:"Indexing"},"1310":{i:0.000828665482499174,u:"../Content/Using a Namespace/Object properties/Ownership.htm",a:"An object in a namespace can be owned by a user or can have no owner.  With HTTP, you can set, view, and change the owner of an object.  With WebDAV, CIFS, and NFS, you can view this metadata in the core-metadata.xml metafile but you cannot change it. Ownership is an HCP-specific object property and ...",t:"Ownership"},"1311":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/POSIX metadata.htm",a:"To support the NFS protocol, HCP maintains POSIX metadata for objects, directories, and symbolic links.  The protocol you’re using to access the namespace determines what actions you can perform on POSIX metadata: With HTTP, you can view some POSIX metadata on objects, but you cannot change it. With ...",t:"POSIX metadata"},"1312":{i:0.000341096360573903,u:"../Content/Using a Namespace/Object properties/POSIX time attributes.htm",a:"HCP maintains these POSIX time attributes for all items: atime (access time) is initially the time the item was added to the namespace.  You can change the value of this attribute.  For objects, this has no effect unless the atime attribute is synchronized with HCP retention settings. HCP does not ...",t:"POSIX time attributes"},"1313":{i:0.000693284520010391,u:"../Content/Using a Namespace/Object properties/POSIX ownership and permissions.htm",a:"For items stored through NFS, HCP maintains these POSIX metadata values: A user ID (UID), which represents the owner, and a group ID (GID), which represents the owning group.  UIDs and GIDs are integers greater than or equal to zero. UIDs are not related to HCP-specific object ownership.  For more ...",t:"POSIX ownership and permissions"},"1314":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Viewing POSIX permissions.htm",a:"You can view POSIX permission values through the WebDAV, CIFS, and NFS protocols. With the WebDAV and NFS protocols, permissions are represented by three 3-character strings — one for the owner, one for the owning group, and one for all others.  From left to right, the three character positions in ...",t:"Viewing POSIX permissions"},"1315":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Octal permission values.htm",a:"Each permission for owner, group, and other has a unique octal value, as shown in the table below.   Read Write Execute POSIX owner 400 200 100 POSIX group 040 020 100 Other 004 002 001 You can represent permissions numerically by combining these values.  For example, the octal value 755 represents ...",t:"Octal permission values"},"1316":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/POSIX ownership and permissions for new items.htm",a:"For items added through NFS, HCP sets the initial UID, GID, and POSIX permissions to values determined by the NFS client.  For items added through HTTP, WebDAV, CIFS, or SMTP, HCP does not set values for these properties. When you use NFS to view POSIX ownership and permission values for any item ...",t:"POSIX ownership and permissions for new items"},"1317":{i:0.000511207088211244,u:"../Content/Using a Namespace/Object properties/Changing POSIX ownership and permissions for existing items.htm",a:"If you’re the root user, you can change the UID and GID for an existing item.  If you’re the user identified by the UID value for an item or the root user, you can change the permissions for an item.  You can make these changes through the CIFS and NFS protocols.   The namespace can be configured to ...",t:"Changing POSIX ownership and permissions for existing items"},"1318":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Versioning.htm",a:"Versioning is the capability of the namespace to store multiple versions of objects.  If the namespace supports versioning, you can save a new version of an object and the previous version will be kept. Each version is an independent copy of the object that includes both data and metadata.  A new ...",t:"Versioning"},"1319":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Creating versions.htm",a:"If versioning is enabled, you can store new versions of an existing object by storing the object using the same URL you used to create the object originally.  HCP retains the previous version until it is pruned or you explicitly purge the object. Updates to the system metadata, custom metadata, or ...",t:"Creating versions"},"1320":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Retrieving and listing versions.htm",a:"When you retrieve an object from a namespace that supports versioning, you get the current version by default.  You can retrieve an older version of the object by specifying a version ID or ingest time. You can also retrieve multiple object versions by specifying a range of version IDs.  To ...",t:"Retrieving and listing versions"},"1321":{i:0.000748021223836888,u:"../Content/Using a Namespace/Object properties/Deleting objects with versioning enabled.htm",a:"If you delete an object while versioning is enabled, HCP: Retains a copy of the deleted object as an old version. Creates a special version, called a deleted version, as the current version to indicate that the object has been deleted.  This version has a version ID but does not include any object ...",t:"Deleting objects with versioning enabled"},"1322":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Purging objects.htm",a:"You cannot delete specific old versions of an object, but if you have purge permission, you can purge the object to delete all its versions. If the current version of an object is under retention, you cannot purge the object.  However, if you have both purge and privileged permissions, you can ...",t:"Purging objects"},"1323":{i:0.00074576386591511,u:"../Content/Using a Namespace/Object properties/Custom metadata.htm",a:"Custom metadata is user-supplied descriptive information about an object.  Custom metadata is specified as annotations, where each annotation is a discrete unit of information about the object.  You can add, replace, or delete an annotation in its entirety.  You cannot modify it in place. Each ...",t:"Custom metadata"},"1324":{i:0.000343451009694869,u:"../Content/Using a Namespace/Object properties/Access control lists.htm",a:"An access control list (ACL) grants permissions to perform operations on an individual object to specified users or groups of users.  An ACL can be specified as either XML or JSON.  You add, replace, or delete an ACL in its entirety.  You cannot modify it in place. An ACL contains up to one thousand ...",t:"Access control lists"},"1325":{i:0.00176329102081175,u:"../Content/Using a Namespace/Object properties/ACL permissions.htm",a:"The following table describes the permissions that can be granted through an ACL. Permission Operations Read Retrieve objects and system metadata Check for object existence List annotations Check for and retrieve custom metadata Read_ACL Check for and retrieve ACLs Write Store objects Create ...",t:"ACL permissions"},"1326":{i:0.000341096360573903,u:"../Content/Using a Namespace/Object properties/ACL body.htm",a:"ACL body The body of an ACL consists of entries in XML or JSON format.",t:"ACL body"},"1327":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/XML format.htm",a:"The XML ACL body has the format shown below.  Elements at each hierarchical level can be in any order. \u003c?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?\u003e \u003caccessControlList\u003e     \u003cgrant\u003e         \u003cgrantee\u003e             \u003ctype\u003e(user|group)\u003c/type\u003e             \u003cname\u003e(hcp-username ...",t:"XML format"},"1328":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/JSON format.htm",a:"The JSON ACL body has the format shown below.  Entries at each hierarchical level can be in any order. {     \"grant\": [{         \"grantee\": {             \"type\":\"(user|group)\",             \"name\":\"(hcp-username             |active-directory-username             |active-directory-group ...",t:"JSON format"},"1329":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/ACL contents.htm",a:"XML has a single top-level accessControlList element.  JSON has a corresponding unnamed top-level object.  All ACLs must contain this entry in their body.  The top-level entry contains the entries listed in the table below. Entry Valid values Description grant N/A Container for grantee and ...",t:"ACL contents"},"1330":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/ACL examples.htm",a:"This section contains examples of an ACL in both XML and JSON formats.  This ACL grants: Read permission to all users Write permission to the AD user lgreen that is defined in the ad.example.com domain Write and delete permission to HCP user pdgrey XML format Here is a sample ACL in XML format: ...",t:"ACL examples"},"1331":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/ETags.htm",a:"An ETag is an identifier for the content of an object.  HCP generates an ETag for each object or version stored in a namespace.  HCP returns the ETag for an object or version in an ETag header in the response to a GET, HEAD, or PUT request for that object or version.  If HCP has not yet generated ...",t:"ETags"},"1332":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Replication collisions.htm",a:"If users can write to multiple systems in a replication topology, collisions can occur when different changes are made to the same objects on different systems.  The way HCP handles collisions that occur due to replication depends on the type of collision.  However, the general rule is that more ...",t:"Replication collisions"},"1333":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Object content collisions.htm",a:"An object content collision occurs when, for a namespace without versioning enabled, these events occur in the order shown: An object is created with the same name in that namespace on two systems in a replication topology, but the object has different content on the two systems. The object on one ...",t:"Object content collisions"},"1334":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/System metadata collisions.htm",a:"A system metadata collision occurs when these events occur in the order shown: Different changes are made to the system metadata for a given object on each of two systems in a replication topology. The changed system metadata on one of the systems is replicated to the other system. For example, ...",t:"System metadata collisions"},"1335":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Custom metadata collisions.htm",a:"A custom metadata collision occurs when these events occur in the order shown: One of these changes occurs: An annotation is added with the same name to a given object on each of two systems in a replication topology, but the annotation has different content on the two systems. The addition of an ...",t:"Custom metadata collisions"},"1336":{i:0.000239365144758157,u:"../Content/Using a Namespace/Object properties/Access control list collisions.htm",a:"An ACL collision occurs when these events occur in the order shown: Different changes are made to the ACL for a given object on each of two systems in a replication topology. The changed ACL on one of the systems is replicated to the other system. An ACL is treated as a single unit.  If a collision ...",t:"Access control list collisions"},"1337":{i:0.000273275550030073,u:"../Content/Using a Namespace/Parts/HTTP.htm",a:"HTTP This part contains these chapters: Accessing a namespace with HTTP Working with objects and versions Working with directories Working with system metadata Working with annotations Working with ACLs Retrieving namespace information HTTP usage considerations",t:"HTTP"},"1338":{i:0.000613318729283326,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Accessing a namespace with HTTP.htm",a:"HCP supports a RESTful implementation of the HTTP protocol.  To access a namespace through this protocol, you can write applications that use any standard HTTP client library, or you can use a command-line tool, such as cURL, that supports HTTP.  You can also use a web browser to access the ...",t:"Accessing a namespace with HTTP"},"1339":{i:0.000239365144758157,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/URLs for HTTP access to the namespace.htm",a:"URLs for HTTP access to the namespace Depending on the HTTP method you’re using and what you want to do with it, a URL can identify any of: A namespace A directory in a namespace An object in a namespace A symbolic link Information about a namespace",t:"URLs for HTTP access to the namespace"},"1340":{i:0.000239365144758157,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/URL formats.htm",a:"The following sections show the URL formats you can use to access a namespace.  These formats all use a domain name to identify the HCP system.  As an alternative, you can use an IP address to identify the HCP system.  For information on specifying an IP address in a URL, see  Using an IP address in ...",t:"URL formats"},"1341":{i:0.00029023075266603,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Using an IP address in a URL.htm",a:"Because you need to provide a hostname that includes the tenant and namespace names in all HTTP requests, using the hostname is the simplest way to access a namespace.  In some applications, however, using IP addresses may be more efficient than using the hostname.  For information on when to use an ...",t:"Using an IP address in a URL"},"1342":{i:0.000239365144758157,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/URL considerations.htm",a:"The following considerations apply to specifying URLs in HTTP requests against a namespace.  For considerations that apply specifically to naming new objects, see  Object naming considerations . URL length For all HTTP methods except POST, the portion of a URL after rest, excluding any appended ...",t:"URL considerations"},"1343":{i:0.000239365144758157,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Authenticating namespace access.htm",a:"If a namespace requires authenticated client access, you need to pass a username and password in every HTTP request.  If a namespace does not require authenticated client access, you can optionally pass a username and password in an HTTP request or you can omit them to access the namespace ...",t:"Authenticating namespace access"},"1344":{i:0.000239365144758157,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/HCP authentication through HTTP.htm",a:"To authenticate with HCP through HTTP, you need to construct an authentication token from a  system-level user account or a tenant-level user account and then submit it using a request header with all requests. Successful authentication requires encoding your account information.",t:"HCP authentication through HTTP"},"1345":{i:0.000239365144758157,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Authentication token.htm",a:"An authentication token consists of a username in Base64-encoded format and a password that’s hashed using the MD5 hash algorithm separated by a colon, like this: base64-encoded-username:md5-hashed-password  For example, here’s the token for the Base64-encoded username myuser and the MD5-hashed ...",t:"Authentication token"},"1346":{i:0.000239365144758157,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Authorization header.htm",a:"You use the HTTP Authorization request header to provide the authentication token for a request.  The value of this header is HCP followed by the authentication token, in this format: Authorization: HCP authentication-token  For example, here’s the Authorization header for a user named myuser and ...",t:"Authorization header"},"1347":{i:0.000239365144758157,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Active Directory user authentication through HTTP.htm",a:"To authenticate to HCP with Active Directory, you need to construct an authentication token from a AD user account and then submit it using a request header with all requests. The username and password does not need to be encoded. If AD single sign-on is enabled for the namespace and you want to ...",t:"Active Directory user authentication through HTTP"},"1348":{i:0.000239365144758157,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Active Directory authentication token.htm",a:"Active Directory authentication token An AD authentication token consists of an AD username and password separated by a colon, like this: AD-username:AD-password For example, here’s the token for the username lgreen and the password p4ssw0rd: lgreen@example.com:p4sswOrd",t:"Active Directory authentication token"},"1349":{i:0.000341096360573903,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Active Directory authorization header.htm",a:"You use the HTTP Authorization request header to provide the authentication token for a request.  The value of this header is AD followed by the authentication token, in this format: Authorization: AD authentication-token For example, here’s the Authorization header for a user named lgreen and ...",t:"Active Directory authorization header"},"1350":{i:0.000239365144758157,u:"../Content/Using a Namespace/Accessing a namespace with HTTP/Transmitting data in compressed format.htm",a:"To save bandwidth, you can compress object data, an annotation, or an ACL in gzip format before sending it to HCP.  In the PUT request, you tell HCP that data is compressed so that HCP knows to decompress the data before storing it. Similarly, in a GET request, you can tell HCP to return object ...",t:"Transmitting data in compressed format"},});